﻿using Xamarin.Forms;
using Syncfusion.SfRating.XForms;
using System.Collections.ObjectModel;

namespace RatingCustomview
{
	public partial class RatingCustomviewPage : ContentPage
	{
		public RatingCustomviewPage()
		{
			InitializeComponent();
            SfRating rating = new SfRating();
            rating.EnableCustomView = true;
		    ObservableCollection<SfRatingItem> Collection = new ObservableCollection<SfRatingItem>();
			Collection.Add(new SfRatingItem() { SelectedView = new Image() { Source = "Angry_selected.png", Aspect = Aspect.AspectFit }, UnSelectedView = new Image() { Source = "Angry_Unselected.png", Aspect = Aspect.AspectFit } });
			Collection.Add(new SfRatingItem() { SelectedView = new Image() { Source = "UnHappy_selected.png", Aspect = Aspect.AspectFit }, UnSelectedView = new Image() { Source = "UnHappy_Unselected.png", Aspect = Aspect.AspectFit } });
			Collection.Add(new SfRatingItem() { SelectedView = new Image() { Source = "Neutral_selected.png", Aspect = Aspect.AspectFit }, UnSelectedView = new Image() { Source = "Neutral_Unselected.png", Aspect = Aspect.AspectFit } });
			Collection.Add(new SfRatingItem() { SelectedView = new Image() { Source = "Happy_selected.png", Aspect = Aspect.AspectFit }, UnSelectedView = new Image() { Source = "Happy_Unselected.png", Aspect = Aspect.AspectFit } });
			Collection.Add(new SfRatingItem() { SelectedView = new Image() { Source = "Excited_selected.png", Aspect = Aspect.AspectFit }, UnSelectedView = new Image() { Source = "Excited_Unselected.png", Aspect = Aspect.AspectFit } });
			rating.Items = Collection;
			rating.ItemSpacing = 18;
            Content = rating;
		}
	}
}
